#include <iostream>

using namespace std;

int main() {
	int n, knjiga[1000];
	cin>>n;
	for (int i = 0; i < n; i++) {
		cin>>knjiga[i];
	}
	int index = 0, value = 0, k = 0;
	while (k < n) {
		index = 0; value = 0;
		for (int i = k; i < n; i++) {
			if (value <= knjiga[i]) {
				value = knjiga[i];
				index = i; 
			}
		}
		if (index != 0) break;
		k++;
	}
	if (n == 2) {
		cout<<knjiga[1]<<" "<<knjiga[0];
	}
	else if (index == 0) {
		for(int i = 0; i < n - 2; i++) {
			cout<<knjiga[i]<<" ";
		}
		cout<<knjiga[n - 1]<<" "<<knjiga[n - 2];
	}
	else {
		for(int i = 0; i < n; i++) {
			if (i == k) cout<<knjiga[index]<<" ";
			else if (i == index) cout<<knjiga[k]<<" ";
			else cout<<knjiga[i]<<" ";
		}
	}
	return 0;
}